Loading...
Searching...
No Matches
log4shib::PatternLayout::PatternComponent Class Referenceabstract

`#include <PatternLayout.hh>`

Inheritance diagram for log4shib::PatternLayout::PatternComponent:
[legend]

## Public Member Functions

virtual | ~PatternComponent ()
virtual void | append (std::ostringstream &out, const LoggingEvent &event)=0

## Constructor & Destructor Documentation

## ~PatternComponent()

virtual log4shib::PatternLayout::PatternComponent::~PatternComponent | ( |  | ) |

inline virtual

## Member Function Documentation

## append()

virtual void log4shib::PatternLayout::PatternComponent::append | ( | std::ostringstream & | out,
|  | const LoggingEvent & | event )

pure virtual

Implemented in log4shib::CategoryNameComponent, log4shib::FormatModifierComponent, log4shib::MessageComponent, log4shib::MillisSinceEpochComponent, log4shib::NDCComponent, log4shib::PriorityComponent, log4shib::ProcessorTimeComponent, log4shib::SecondsSinceEpochComponent, log4shib::StringLiteralComponent, log4shib::ThreadNameComponent, and log4shib::TimeStampComponent.

The documentation for this class was generated from the following file:

- PatternLayout.hh